Package twisted :: Package coil :: Package plugins :: Module web :: Class SiteConfigurator

[show private | hide private]
[frames | no frames]

## Class SiteConfigurator

    Configurator --+
                   |
                  SiteConfigurator

Configurator for web sites.

Method Summary
| ``__init__`(self, instance)` Initialize this configurator with the instance it will be configuring. (inherited from `Configurator`)
| `config_logPath(self, logPath)`
| ``configDispensers`(self)` Return list of dispensers. (inherited from `Configurator`)
| ``configure`(self, dict)` Set a list of configuration variables. (inherited from `Configurator`)
| ``getConfiguration`(self)` Return a mapping of key/value tuples describing my configuration. (inherited from `Configurator`)
| ``getInstance`(self)` Return the instance being configured. (inherited from `Configurator`)
| `getStaticEntity(self, name)`
| ``getType`(self, name)` Get the type of a configuration variable. (inherited from `Configurator`)
| `listStaticEntities(self)`

Class Variable Summary
`tuple` | `__implements__`
`string` | `configName`
`dictionary` | `configTypes`
`class` | `Site`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.coil.coil.IConfigurator at 0x8254134>,
         <class twisted.coil.coil.IStaticCollection at 0x825d1b4>)

### configName

  Type:
    `string`
  Value:

        'HTTP Web Site'

### configTypes

  Type:
    `dictionary`
  Value:

        {'logPath': [<type 'string'>, 'Logfile', 'Path to web log file.'],
         'resource': [<class twisted.web.resource.IResource at 0x82e7414>,
                      'Resource',
                      "The resource at the site's root."]}

### Site

`Site` = `twisted.web.server.Site`

Generated by Epydoc 1.1 on Sat Feb 15 21:18:54 2003 | http://epydoc.sf.net